Resolve an active alert.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"display_label": "<string>",
"entity_key": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"rule_name": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 2,
"acknowledged_at": "2023-11-07T05:31:56Z",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalated_at": "2023-11-07T05:31:56Z",
"next_reminder_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}Alerts
Resolve an active alert.
POST
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
alerting
/
alerts
/
{alert_uuid}
/
resolve
Resolve an active alert.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/alerts/{alert_uuid}/resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"display_label": "<string>",
"entity_key": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"rule_name": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 2,
"acknowledged_at": "2023-11-07T05:31:56Z",
"assignee_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalated_at": "2023-11-07T05:31:56Z",
"next_reminder_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Response
Alert resolved, or returned unchanged if already resolved.
Show child attributes
Show child attributes
⌘I